.footer {
    .container {
        display: flex;
        flex-wrap: wrap;
    }
    // .footer__content
    &__content {
        min-height: 250px;
        background-color: #0057b1;
        padding: 38px 0px 15px 0px;
    }
    // .footer__content-left
    &__content-left {
        margin: 0px 0px 30px 50px;
    }
    // .footer__link
    &__link {
        a {
            display: flex;
            align-items: center;
            color: #fff;
            img {
                width: 66px;
                height: 66px;
                filter: drop-shadow(3px 3px 15px rgba(245, 207, 51, 0.3));
            }
        }
    }
    // .footer__site-name
    &__site-name {
        max-width: 336px;
        font-family: "Nunito Regular";
        text-shadow: 0 2px 15px rgba(32, 53, 78, 0.5);
        color: #fff;
        font-size: 20px;
        line-height: 27px;
        text-transform: uppercase;
        margin: 0px 0px 0px 20px;
    }
    // .footer__gol
    &__gol {
        max-width: 422px;
        margin: 20px 0px 0px 0px;
        img {
            margin: 0px 10px 0px 0px;
            max-width: 70px;
        }
    }
    // .footer__right
    &__right {
        display: flex;
        flex-wrap: wrap;
        margin: 0px 0px 20px 75px;
    }
    // .footer__mini-title
    &__mini-title {
        color: #fff;
        font-size: 24px;
        line-height: 32px;
        margin: 0px 0px 15px 0px;
        text-shadow: 0 2px 15px rgba(32, 53, 78, 0.5);
    }
    // .footer__right-menu
    &__right-menu {
        margin: 0px 70px 0px 0px;
    }
    // .footer__right-menu-row
    &__right-menu-row {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        height: 138px;
        width: 450px;
    }
    // .footer__right-menu-column
    &__right-menu-column {
        margin: 0px 75px 0px 0px;
        a {
            width: fit-content;
            color: #fff;
            font-size: 16px;
            line-height: 32px;
            &:hover {
                text-decoration: underline;
            }
        }
    }
    // .footer__right-contacts
    &__right-contacts {
        color: #fff;
        font-size: 16px;
        line-height: 20px;
        font-family: "Nunito Regular";
    }
    // .footer__end
    &__end {
        .container {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            height: 100%;
            padding: 0px 136px 0px 0px;
        }
        height: 56px;
        color: #fff;
        background-color: #0057b1;
        border-top: 1px solid #fff;
    }
    @media (max-width: 1260px) {
        .footer__right {
            margin: 0px 0px 0px 50px;
        }
    }
    @media (max-width: 1100px) {
        .footer__content-left {
            margin: 0px 0px 20px 0px;
            display: flex;
            align-items: center;
            flex-wrap: wrap;
            .footer__gol {
                margin: 10px 0px 0px 0px;
            }
        }
        .footer__right {
            margin: 0;
        }
        .footer__end {
            .container {
                padding: 0 15px;
            }
        }
    }
    @media (max-width: 470px) {
        .footer__right-menu-row {
            width: 100%;
            flex-wrap: nowrap;
            height: auto;
        }
        .footer__right-menu {
            margin: 0px 0px 20px 0px;
        }
        .footer__right-menu-column {
        }
    }
    @media (max-width: 450px) {
        .footer__link {
            img {
                width: 50px;
                height: 50px;
            }
        }
        .footer__site-name {
            font-size: 16px;
            line-height: 20px;
        }
        .footer__gol {
            img {
                max-width: 17%;
                margin: 0px 5px 0px 0px;
            }
        }
    }
}
